Debian Bug report logs - #720541
lynx: Unable to login on amazon.de

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Mario Lang <mlang@tugraz.at>

Date: Fri, 23 Aug 2013 09:33:07 UTC

Severity: important

Tags: fixed-upstream

Found in version lynx-cur/2.8.8dev.16-1

Fixed in version lynx-cur/2.8.8pre1-1

Done: Atsuhito Kohda <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#720541; Package lynx. (Fri, 23 Aug 2013 09:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@tugraz.at>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 23 Aug 2013 09:33:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@tugraz.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx: Unable to login on amazon.de
Date: Fri, 23 Aug 2013 10:49:57 +0200
Package: lynx
Version: 2.8.8dev.16-1
Severity: important

Since lynx was updated in unstable, I am no longer able to login to
amazon.de with lynx.  I can verify that login to amazon.de still works
with version 2.8.8dev.12-2.  So something between dev.12 and dev.16
broke.


-- 
Regards,
      Mario



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#720541; Package lynx. (Tue, 01 Oct 2013 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Tue, 01 Oct 2013 21:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 720541@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 720541@bugs.debian.org
Cc: 720541-submitter@bugs.debian.org
Subject: Re: Bug#720541: lynx: Unable to login on amazon.de
Date: Tue, 01 Oct 2013 17:36:01 -0400
[Message part 1 (text/plain, inline)]
On Fri, Aug 23, 2013 at 10:49:57AM +0200, Mario Lang wrote:
> Package: lynx
> Version: 2.8.8dev.16-1
> Severity: important
> 
> Since lynx was updated in unstable, I am no longer able to login to
> amazon.de with lynx.  I can verify that login to amazon.de still works
> with version 2.8.8dev.12-2.  So something between dev.12 and dev.16
> broke.

At the moment I can login with dev.5 but not dev.16,
so there's something to investigate...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mario Lang <mlang@tugraz.at>:
Bug#720541. (Tue, 01 Oct 2013 21:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#720541; Package lynx. (Tue, 01 Oct 2013 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Tue, 01 Oct 2013 23:57:04 GMT) Full text and rfc822 format available.

Message #18 received at 720541@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 720541@bugs.debian.org
Cc: 720541-submitter@bugs.debian.org
Subject: Re: Bug#720541: lynx: Unable to login on amazon.de
Date: Tue, 01 Oct 2013 19:54:22 -0400
[Message part 1 (text/plain, inline)]
On Tue, Oct 01, 2013 at 05:36:01PM -0400, Thomas Dickey wrote:
> On Fri, Aug 23, 2013 at 10:49:57AM +0200, Mario Lang wrote:
> > Package: lynx
> > Version: 2.8.8dev.16-1
> > Severity: important
> > 
> > Since lynx was updated in unstable, I am no longer able to login to
> > amazon.de with lynx.  I can verify that login to amazon.de still works
> > with version 2.8.8dev.12-2.  So something between dev.12 and dev.16
> > broke.
> 
> At the moment I can login with dev.5 but not dev.16,
> so there's something to investigate...

I traced this to the fixes for content-length in dev.13,
and have a fix which will be in dev.17

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mario Lang <mlang@tugraz.at>:
Bug#720541. (Tue, 01 Oct 2013 23:57:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Fri, 29 Nov 2013 01:51:09 GMT) Full text and rfc822 format available.

Reply sent to Atsuhito Kohda <kohda@debian.org>:
You have taken responsibility. (Tue, 03 Dec 2013 04:36:40 GMT) Full text and rfc822 format available.

Notification sent to Mario Lang <mlang@tugraz.at>:
Bug acknowledged by developer. (Tue, 03 Dec 2013 04:36:41 GMT) Full text and rfc822 format available.

Message #28 received at 720541-close@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@debian.org>
To: 720541-close@bugs.debian.org
Subject: Bug#720541: fixed in lynx-cur 2.8.8pre1-1
Date: Tue, 03 Dec 2013 04:33:54 +0000
Source: lynx-cur
Source-Version: 2.8.8pre1-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720541@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito Kohda <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Dec 2013 15:45:55 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all amd64
Version: 2.8.8pre1-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito Kohda <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur (transitional package)
Closes: 254603 295273 334787 350853 398274 398304 404893 546264 584080 695653 720541 724812 729864
Changes: 
 lynx-cur (2.8.8pre1-1) unstable; urgency=low
 .
   * New upstream release
    - add clarification in manpage regarding -force_html option versus -dump
      or -crawl.  (Closes: #254603, #295273)
    - simplify file-URLs shown in reference list of -dump.  (Closes: #334787)
    - improve manpage descriptions of -reload, -get_data and -post_data.
      (Closes: #350853)
    - modify the INFO page  (Closes: #398274)
    - extend the "Bad HTML" warning feature to -dump option when the -stderr
      option is also set (Closes: #398304)
    - modify configuration of COLOR_STYLE value in lynx.cfg, allowing multiple
      filenames to be specified and providing those as choices in the O'ptions
      menu (Closes: #404893)
    - correct search logic to match links which are wrapped on the right margin.
      (Closes: #546264)
    - add -list_inline option, which modifies -dump output to put links inline
      with the text.  (Closes: #584080)
    - improve warning message for GNUTLS_CERT_SIGNER_NOT_FOUND (Closes: #695653)
    - minor change to Content-Length logic to work with Amazon's cookies
      (Closes: #720541)
    - ignore non-fatal return codes from gnutls_handshake  (Closes: #724812)
   * Applied a patch to use dh_autotools-dev to update config.{sub,guess}
     for new ports.  Thanks to Matthias Klose <doko AT debian DOT org>
     (Closes: #729864)
Checksums-Sha1: 
 85755ea1a9afcdfb61c983be70fe815b7ee44cc6 1291 lynx-cur_2.8.8pre1-1.dsc
 51b1c4bd22d721e39d3b525ae1c0de2d275a95fa 3563261 lynx-cur_2.8.8pre1.orig.tar.gz
 7c4c2b9998b60276161b33f7850ab9430aa1c32d 32816 lynx-cur_2.8.8pre1-1.diff.gz
 e56a30136ec39c51ac92503e0209322a2574b8d3 228910 lynx-cur-wrapper_2.8.8pre1-1_all.deb
 0ebd6404694a7f48d24311be44b174c6629154e0 229278 lynx_2.8.8pre1-1_all.deb
 15eb966a2886cf9e521fe11c10235189fdeff97f 1600442 lynx-cur_2.8.8pre1-1_amd64.deb
Checksums-Sha256: 
 70ddd5243b0e140184540ffaf16e6063852c655d3c1ca71bdc3ad20cc33a7b88 1291 lynx-cur_2.8.8pre1-1.dsc
 81e49cec92fd3d3b726155c93538ee7b5eca04db5a48835716ac78c723625e3b 3563261 lynx-cur_2.8.8pre1.orig.tar.gz
 8dfd986c3569866c9fd79e3f2e7786273d7825c337adc571c50011d480915b45 32816 lynx-cur_2.8.8pre1-1.diff.gz
 17406e5d134b55192f87e24c7ca9016d1065051e6da04d0d2d91fc12372947c2 228910 lynx-cur-wrapper_2.8.8pre1-1_all.deb
 fca1a17518123a1cdc711d553df09e545ff53d37c2b817ad8224abadebc137bb 229278 lynx_2.8.8pre1-1_all.deb
 af4a4fdc5bdbf024a32c1e85303d54470f3edcd1514e4f863b2197779c02179c 1600442 lynx-cur_2.8.8pre1-1_amd64.deb
Files: 
 dcdaefcade63f9017a6ebb228d139bf8 1291 web extra lynx-cur_2.8.8pre1-1.dsc
 7f5ed21fb95c48235b06abf3e7ed7668 3563261 web extra lynx-cur_2.8.8pre1.orig.tar.gz
 b13c186dab265409e5843083ce611b5d 32816 web extra lynx-cur_2.8.8pre1-1.diff.gz
 97307e4fb693a2db6e9982d49e63e346 228910 oldlibs extra lynx-cur-wrapper_2.8.8pre1-1_all.deb
 d39f581483dfdd17f6541d522b6af79a 229278 oldlibs extra lynx_2.8.8pre1-1_all.deb
 283889b66061ea77b9714a9abfe87028 1600442 web extra lynx-cur_2.8.8pre1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKdW9oACgkQ1IXdL1v6kOy/8QCfRVF5A5dwN0MBHsNAMwKZhLwY
HRgAn1Z8YFwDCrPcKQhZuTLqfc8/3EzW
=H90l
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jan 2014 07:30:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:10:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.